Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030664
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] I. Performancemajoralways2015-08-25 12:322015-09-18 05:08
ReporterVictorVillarView Statuspublic 
Assigned Todmiguelez 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionaebb993f5606
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030664: The Costing Background process takes around 10 days for high volume of warehouse transactions

DescriptionThe Costing Background process takes around 10 days for high volume of warehouse transactions (3000000 transactions pending to be calculated)
Steps To ReproduceThe Costing Background process takes around 10 days for high volume of warehouse transactions (3000000 transactions pending to be calculated)

It has been tested in the last Confirmed Stable version (PR15Q2.3).

After creating the trxprocessdate index the following query [1] takes around 25 seconds.

[1] (CostingBackground.java) trxs = getTransactionsBatch(orgsWithRule);

After changing to 100 the number of registers to calculate (instead of 1000), the commit takes around 6 seconds, with 1000 takes 45 minutes.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0079690)
VictorVillar (developer)
2015-08-25 12:33

If you would like to use the client's environment to check it, ask Support (VĂ­ctor Villar)
(0080276)
dmiguelez (developer)
2015-09-09 13:12

The fix is done, we are waiting for feedback from the Client's side
(0080430)
dmiguelez (developer)
2015-09-16 12:55

Already Tested with Client's data.
Development has gone through usual Costing Tests successfully too.
(0080455)
hgbot (developer)
2015-09-17 12:19

Repository: erp/devel/pi
Changeset: aebb993f5606275d345c8105f969cebb6becd95f
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Mon Sep 14 18:12:37 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/aebb993f5606275d345c8105f969cebb6becd95f [^]

Fixes Issue 30664. Improves performance in Costing Background Process
and also implements Killable interface in order to be able to stop the
Process.
Performance is improved by removing an unnecessary flush, launching
general Query for 10.000 records instead of 1.000 and also doing
a commit in each Transaction. Therefore the method to calculate
Transactions when there is an exception is no longer needed.

---
M src-db/database/sourcedata/AD_PROCESS.xml
M src/org/openbravo/costing/CostingBackground.java
M src/org/openbravo/costing/CostingServer.java
---
(0080456)
vmromanos (developer)
2015-09-17 12:19

Code review OK
(0080476)
hudsonbot (developer)
2015-09-18 05:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/68dbc59de475 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-08-25 12:32 VictorVillar New Issue
2015-08-25 12:32 VictorVillar Assigned To => Triage Finance
2015-08-25 12:32 VictorVillar Modules => Core
2015-08-25 12:32 VictorVillar Triggers an Emergency Pack => No
2015-08-25 12:33 VictorVillar Note Added: 0079690
2015-08-26 10:18 dmiguelez Assigned To Triage Finance => dmiguelez
2015-09-02 16:57 dmiguelez Status new => scheduled
2015-09-09 13:12 dmiguelez Note Added: 0080276
2015-09-09 13:12 dmiguelez Status scheduled => acknowledged
2015-09-16 12:55 dmiguelez Note Added: 0080430
2015-09-17 12:15 vmromanos Status acknowledged => scheduled
2015-09-17 12:19 hgbot Checkin
2015-09-17 12:19 hgbot Note Added: 0080455
2015-09-17 12:19 hgbot Status scheduled => resolved
2015-09-17 12:19 hgbot Resolution open => fixed
2015-09-17 12:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/aebb993f5606275d345c8105f969cebb6becd95f [^]
2015-09-17 12:19 vmromanos Review Assigned To => vmromanos
2015-09-17 12:19 vmromanos Note Added: 0080456
2015-09-17 12:19 vmromanos Status resolved => closed
2015-09-18 05:08 hudsonbot Checkin
2015-09-18 05:08 hudsonbot Note Added: 0080476


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker